@{

# These modules will be processed when the module manifest is loaded.
ModuleToProcess = 'PowerBot.psm1'

# This GUID is used to uniquely identify this module.
GUID = '58d14559-327c-4be5-92d3-e7be1edf35dd'

# The author of this module.
Author = 'Joel Bennett'

# The company or vendor for this module.
CompanyName = 'http://HuddledMasses.org'

# The copyright statement for this module.
Copyright = '(c) 2014, Joel Bennett'

# The version of this module.
ModuleVersion = '3.5'

# A description of this module.
Description = 'PowerBot: the PowerShell IRC Bot'

# The minimum version of PowerShell needed to use this module.
PowerShellVersion = '4.0'

# The CLR version required to use this module.
CLRVersion = '4.0'

# Functions to export from this manifest.
FunctionsToExport = 'Start-PowerBot', 'Resume-PowerBot', 'Stop-PowerBot', 'Get-PowerBotIrcClient'

# Aliases to export from this manifest.
# AliasesToExport = ''

# Variables to export from this manifest.
#VariablesToExport = ''

# Cmdlets to export from this manifest.
#CmdletsToExport = ''

# This is a list of other modules that must be loaded before this module.
RequiredModules = @('ResolveAlias')

# The script files (.ps1) that are loaded before this module.
ScriptsToProcess = @()

# The type files (.ps1xml) loaded by this module.
TypesToProcess = @()

# The format files (.ps1xml) loaded by this module.
FormatsToProcess = @()

FileList = @(
   'PowerBot.psd1', 'PowerBot.psm1', 'ReadMe.md', 'UpdateCommands.ps1', 

   'bin\JabbR.Client.dll', 'bin\log4net.dll', 'bin\Meebey.SmartIrc4net.dll', 'bin\Microsoft.AspNet.SignalR.Client.dll', 
   'bin\Newtonsoft.Json.dll', 'bin\ServiceStack.Common.dll', 'bin\ServiceStack.Interfaces.dll', 
   'bin\ServiceStack.Text.dll', 'bin\StarkSoftProxy.dll', 'bin\Twitterizer2.dll', 

   'BotHooks\BotHooks.psm1', 
   'BotCommands\BotCommands.psd1', 'BotCommands\BotCommands.psm1',
   'UserTracking\UserTracking.psm1', 'UserTracking\UserTracking.psd1'
)

# A list of assemblies that must be loaded before this module can work.
RequiredAssemblies = '.\bin\Meebey.SmartIrc4net.dll' # Meebey.SmartIrc4net, Version=0.4.5, Culture=neutral, PublicKeyToken=null

# Module specific private data can be passed via this member.
PrivateData = @{
   # Nick = @('PowerBot')
   # RealName = ''
   # Password = ''
   Server = "chat.freenode.net"
   Port = 8001
   Channels = @('#PowerBot')

   CommandPrefix = "#"

   Owner = "Jaykul!jaykul@geoshell/dev/Jaykul"
   
   Hooks = @{
      "PowerBot\BotHooks" = @{
         "Expand-Url" = "ChannelMessage"
         "Test-Language" = "ChannelMessage"
      }
      "PowerBot\UserTracking" = @{
         "Sync-Join" = "Join"
         "Sync-Who" = "Who"
         "Sync-Nick" = "NickChange"
         "Update-NickservInfo" = "QueryNotice"
      }
   }

   RolePermissions = @{
      Owner    = @(
         @{Name="PowerBot\UserTracking"; Function = "Set-PowerBotRole"}
      )
      Admin    = @(
         @{Name="Microsoft.PowerShell.Utility"; Cmdlet = "New-Alias"} 
      )
      Operator = @()
      User     = @(
         @{Name="PowerBot\BotCommands"}
         @{Name="PowerBot\UserTracking"; Function = "Get-PowerBotRole"; Alias = "Get-Role", "Roles"}
         @{Name="Microsoft.PowerShell.Utility"; Cmdlet = "Format-Wide", "Format-List", "Format-Table", "Select-Object", "Sort-Object", "Get-Random", "Out-String"}
      )
   }
   
   #  ProxyServer = "www.mc.xerox.com"
   #  ProxyPort = "8000"
   #  ProxyUserName
   #  ProxyPassword
}

}
